Home

XRP Ledger API

v1.0.0
Base URLs
https://xrp.nownodes.ioNOWNodes XRP Ledger JSON-RPC endpoint.
https://xrp-evm.nownodes.ioNOWNodes XRP EVM JSON-RPC endpoint.

Returns information about an account's Payment Channels. This includes all channels where the specified account is the source of the channel.

Authentication

api-keyAuthapiKey

NOWNodes API key passed in the api-key header.

API Key: api-key in header

Account

account_channels

account_channels operations.

account_channels

POST
https://xrp.nownodes.io/

Returns information about an account's Payment Channels. This includes all channels where the specified account is the source of the channel.

Body

application/json

Returns information about an account's Payment Channels. This includes all channels where the specified account is the source of the channel.

JSON-RPC request payload.

methodstringaccount_channelsrequired

The JSON-RPC method name

paramsArray<object>required

Ordered JSON-RPC method parameters.

Show child attributes
accountstringrequired

The unique identifier of the account, typically an XRP Ledger address in base58 format. This is the source account of the payment channels.

destination_accountstring

(Optional) Filter results to payment channels with a specific destination account. If provided, only channels to this destination are returned.

ledger_hashstring

(Optional) A 20-byte hex string identifying a specific ledger version to use for the request.

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use for the request.

  • "validated": The most recent validated ledger
  • "closed": The most recent closed ledger
  • "current": The current working ledger
limitinteger

(Optional) Limit the number of channels to retrieve. The server is not required to honor this value.

markerobject

(Optional) Value from a previous paginated response. Resume retrieving data where that response left off.

Response

200OK

HTTP 200 response for account_channels. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

account_currencies

account_currencies operations.

account_currencies

POST
https://xrp.nownodes.io/

Returns a list of currencies that an account can send or receive, based on its trust lines. This method only returns currencies that the account can use in payments, not currencies that the account holds but cannot use in payments.

Body

application/json

Returns a list of currencies that an account can send or receive, based on its trust lines. This method only returns currencies that the account can use in payments, not currencies that the account holds but cannot use in payments.

JSON-RPC request payload.

methodstringaccount_currenciesrequired

The JSON-RPC method name

paramsArray<object>required

Ordered JSON-RPC method parameters.

Show child attributes
accountstringrequired

The unique identifier of the account, typically an XRP Ledger address in base58 format. This is the account whose currencies are being queried.

account_indexinteger

(Optional) The unique identifier of the account, as a number. This is an alternative way to specify the account.

ledger_hashstring

(Optional) A 20-byte hex string identifying a specific ledger version to use for the request.

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use for the request.

  • "validated": The most recent validated ledger (recommended)
  • "closed": The most recent closed ledger
  • "current": The current working ledger
strictboolean

(Optional) If true, only accept a public key or XRP Ledger address for the account parameter. Otherwise, try to derive the account from other types like seeds.

Response

200OK

HTTP 200 response for account_currencies. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

account_info

account_info operations.

account_info

POST
https://xrp.nownodes.io/

Returns information about an account, its activity, and its XRP balance. This includes all information stored in the account's root ledger object. When querying the current ledger, can also return information about queued transactions.

Body

application/json

Returns information about an account, its activity, and its XRP balance. This includes all information stored in the account's root ledger object. When querying the current ledger, can also return information about queued transactions.

JSON-RPC request payload.

methodstringaccount_inforequired

The JSON-RPC method name

paramsArray<object>required

Ordered JSON-RPC method parameters.

Show child attributes
accountstringrequired

The unique identifier of the account, typically an XRP Ledger address in base58 format.

ledger_hashstring

(Optional) A 20-byte hex string identifying a specific ledger version to use for the request.

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use for the request.

  • "validated": The most recent validated ledger
  • "closed": The most recent closed ledger
  • "current": The current working ledger (required for queue data)
queueboolean

If true, and querying the current ledger, returns information about any transactions queued for this account. Ignored for validated ledgers.

signer_listsboolean

If true, and the account has a signer list, returns the signer list(s) associated with the account.

strictboolean

If true, only accept a public key or XRP Ledger address for the account parameter.

Response

200OK

HTTP 200 response for account_info. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

account_lines

account_lines operations.

account_lines

POST
https://xrp.nownodes.io/

Returns information about an account's trust lines (non-XRP balances). This includes all trust lines where the account has a non-zero balance or a non-zero limit. Trust lines represent relationships between accounts for holding non-XRP currencies.

Body

application/json

Returns information about an account's trust lines (non-XRP balances). This includes all trust lines where the account has a non-zero balance or a non-zero limit. Trust lines represent relationships between accounts for holding non-XRP currencies.

JSON-RPC request payload.

methodstringaccount_linesrequired

The JSON-RPC method name

paramsArray<object>required

Ordered JSON-RPC method parameters.

Show child attributes
accountstringrequired

The unique identifier of the account, typically an XRP Ledger address in base58 format. This is the account whose trust lines are being queried.

api_versioninteger

(Optional) The API version to use. Version 2 provides enhanced response formatting.

ledger_hashstring

(Optional) A 20-byte hex string identifying a specific ledger version to use for the request.

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use for the request.

  • "validated": The most recent validated ledger
  • "closed": The most recent closed ledger
  • "current": The current working ledger
peerstring

(Optional) Filter results to trust lines with a specific counterparty account. If provided, only trust lines with this peer are returned.

limitinteger

(Optional) Limit the number of trust lines to retrieve. The server is not required to honor this value.

markerobject

(Optional) Value from a previous paginated response. Resume retrieving data where that response left off.

Response

200OK

HTTP 200 response for account_lines. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

account_nfts

account_nfts operations.

account_nfts

POST
https://xrp.nownodes.io/

Returns a list of non-fungible tokens (NFTs) owned by the specified account. NFTs on the XRP Ledger are unique digital assets that can represent ownership of digital or physical items.

Body

application/json

Returns a list of non-fungible tokens (NFTs) owned by the specified account. NFTs on the XRP Ledger are unique digital assets that can represent ownership of digital or physical items.

JSON-RPC request payload.

methodstringaccount_nftsrequired

The JSON-RPC method name

paramsArray<object>required

Ordered JSON-RPC method parameters.

Show child attributes
accountstringrequired

The unique identifier of the account, typically an XRP Ledger address in base58 format. This is the account whose NFTs are being queried.

ledger_hashstring

(Optional) A 20-byte hex string identifying a specific ledger version to use for the request.

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use for the request.

  • "validated": The most recent validated ledger (recommended for NFTs)
  • "closed": The most recent closed ledger
  • "current": The current working ledger
limitinteger

(Optional) Limit the number of NFTs to retrieve. The server is not required to honor this value.

markerobject

(Optional) Value from a previous paginated response. Resume retrieving data where that response left off.

Response

200OK

HTTP 200 response for account_nfts. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

account_objects

account_objects operations.

account_objects

POST
https://xrp.nownodes.io/

Returns the raw ledger format for all objects owned by an account. This includes various types of ledger objects such as trust lines, offers, escrows, payment channels, signer lists, and more.

Body

application/json

Returns the raw ledger format for all objects owned by an account. This includes various types of ledger objects such as trust lines, offers, escrows, payment channels, signer lists, and more.

JSON-RPC request payload.

methodstringaccount_objectsrequired

The JSON-RPC method name

paramsArray<object>required

Ordered JSON-RPC method parameters.

Show child attributes
accountstringrequired

The unique identifier of the account, typically an XRP Ledger address in base58 format. This is the account whose ledger objects are being queried.

ledger_hashstring

(Optional) A 20-byte hex string identifying a specific ledger version to use for the request.

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use for the request.

  • "validated": The most recent validated ledger (recommended)
  • "closed": The most recent closed ledger
  • "current": The current working ledger
typestringcheckdeposit_preauthescrowofferpayment_channelsigner_liststate

(Optional) Filter results to a single type of ledger object.

  • "state": Trust lines (RippleState entries)
  • "offer": Order book offers
  • "escrow": Escrow objects
  • "check": Check objects
  • "payment_channel": Payment channels
  • "signer_list": Multi-signing lists
  • "deposit_preauth": Deposit preauthorizations
deletion_blockers_onlyboolean

If true, limit results to objects that can block account deletion. Account deletion requires that the account owns no objects except those that can be removed.

limitinteger

(Optional) Limit the number of objects to retrieve. The server is not required to honor this value.

markerobject

(Optional) Value from a previous paginated response. Resume retrieving data where that response left off.

Response

200OK

HTTP 200 response for account_objects. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

account_offers

account_offers operations.

account_offers

POST
https://xrp.nownodes.io/

Returns information about an account's outstanding offers (orders) in the decentralized exchange. This includes all active offers placed by the account in the XRP Ledger's order books.

Body

application/json

Returns information about an account's outstanding offers (orders) in the decentralized exchange. This includes all active offers placed by the account in the XRP Ledger's order books.

JSON-RPC request payload.

methodstringaccount_offersrequired

The JSON-RPC method name

paramsArray<object>required

Ordered JSON-RPC method parameters.

Show child attributes
accountstringrequired

The unique identifier of the account, typically an XRP Ledger address in base58 format. This is the account whose offers are being queried.

ledger_hashstring

(Optional) A 20-byte hex string identifying a specific ledger version to use for the request.

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use for the request.

  • "validated": The most recent validated ledger
  • "closed": The most recent closed ledger
  • "current": The current working ledger (common for offers)
limitinteger

(Optional) Limit the number of offers to retrieve. The server is not required to honor this value.

markerobject

(Optional) Value from a previous paginated response. Resume retrieving data where that response left off.

Response

200OK

HTTP 200 response for account_offers. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

account_tx

account_tx operations.

account_tx

POST
https://xrp.nownodes.io/

Retrieves the transaction history for a specific account. Returns an array of transactions that affected the specified account in some way. This includes payments, trust lines, offers, and other transaction types.

Body

application/json

Retrieves the transaction history for a specific account. Returns an array of transactions that affected the specified account in some way. This includes payments, trust lines, offers, and other transaction types.

JSON-RPC request payload.

methodstringaccount_txrequired

The JSON-RPC method name

paramsArray<object>required

Ordered JSON-RPC method parameters.

Show child attributes
accountstringrequired

The unique identifier of the account, typically an XRP Ledger address in base58 format. This is the account whose transaction history is being queried.

api_versioninteger

(Optional) The API version to use. Version 2 provides enhanced response formatting.

binaryboolean

If true, return transactions as hex strings instead of JSON. When false (recommended), transactions are returned in parsed JSON format.

forwardboolean

If true, return results in ascending ledger order (oldest first). If false, return results in descending ledger order (newest first).

ledger_hashstring

(Optional) A 20-byte hex string identifying a specific ledger version to use for the request.

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use for the request.

ledger_index_mininteger

The minimum ledger index to search from. Use -1 to start from the earliest available ledger.

ledger_index_maxinteger

The maximum ledger index to search to. Use -1 to search up to the most recent available ledger.

limitinteger

(Optional) Limit the number of transactions to retrieve. The server is not required to honor this value.

markerobject

(Optional) Value from a previous paginated response. Resume retrieving data where that response left off.

Response

200OK

HTTP 200 response for account_tx. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

gateway_balances

gateway_balances operations.

gateway_balances

POST
https://xrp.nownodes.io/

Calculates the total balances issued by a given account, optionally excluding amounts held by operational addresses (hot wallets). This method is primarily used by gateway operators to calculate their net obligations to users.

Body

application/json

Calculates the total balances issued by a given account, optionally excluding amounts held by operational addresses (hot wallets). This method is primarily used by gateway operators to calculate their net obligations to users.

JSON-RPC request payload.

methodstringgateway_balancesrequired

The JSON-RPC method name

paramsArray<object>required

Ordered JSON-RPC method parameters.

Show child attributes
accountstringrequired

The unique identifier of the gateway's issuing address, typically an XRP Ledger address in base58 format. This is the account that issues the currencies (the gateway operator).

hotwalletArray<string>

(Optional) An array of operational addresses (hot wallets) to exclude from the balances. Amounts held by these addresses are not counted as obligations to users.

ledger_hashstring

(Optional) A 20-byte hex string identifying a specific ledger version to use for the request.

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use for the request.

  • "validated": The most recent validated ledger (recommended for accurate balances)
  • "closed": The most recent closed ledger
  • "current": The current working ledger
strictboolean

If true, only accept a public key or XRP Ledger address for the account parameter.

Response

200OK

HTTP 200 response for gateway_balances. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

noripple_check

noripple_check operations.

noripple_check

POST
https://xrp.nownodes.io/

Checks an account's NoRipple settings and provides recommendations for improving liquidity and connectivity in the XRP Ledger. This method helps identify trust lines that have rippling disabled, which can limit an account's ability to send and receive payments through the decentralized exchange.

Body

application/json

Checks an account's NoRipple settings and provides recommendations for improving liquidity and connectivity in the XRP Ledger. This method helps identify trust lines that have rippling disabled, which can limit an account's ability to send and receive payments through the decentralized exchange.

JSON-RPC request payload.

methodstringnoripple_checkrequired

The JSON-RPC method name

paramsArray<object>required

Ordered JSON-RPC method parameters.

Show child attributes
accountstringrequired

The unique identifier of the account, typically an XRP Ledger address in base58 format. This is the account whose NoRipple settings are being checked.

rolestringgatewayuserrequired

The role of the account, which determines the recommended NoRipple settings.

  • "gateway": Account issues currencies and should generally enable rippling
  • "user": Regular user account that may want to disable rippling for specific use cases
ledger_hashstring

(Optional) A 20-byte hex string identifying a specific ledger version to use for the request.

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use for the request.

  • "validated": The most recent validated ledger
  • "closed": The most recent closed ledger
  • "current": The current working ledger
limitinteger

(Optional) Limit the number of problems to identify. The server is not required to honor this value.

transactionsboolean

If true, include suggested transactions to fix the identified problems. These are unsigned transaction skeletons that need to be signed and submitted.

Response

200OK

HTTP 200 response for noripple_check. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

Clio

ledger

ledger operations.

ledger

POST
https://xrp.nownodes.io/

Retrieve information about a specific ledger in the XRP Ledger. This method returns detailed information about a ledger's header, hash, and metadata.

Body

application/json

Retrieve information about a specific ledger in the XRP Ledger. This method returns detailed information about a ledger's header, hash, and metadata.

JSON-RPC request payload.

methodstringledgerrequired

The JSON-RPC method name

paramsArray<object>required

Ordered JSON-RPC method parameters.

Show child attributes
ledger_indexstringvalidatedcurrentclosed

The ledger index to retrieve. "validated" returns the most recent validated ledger.

ledger_hashstring

A 20-byte hex string for the ledger version to use (not recommended)

transactionsboolean

If true, include transactions in the ledger data. Defaults to false.

expandboolean

If true, include full transaction details rather than only transaction hashes. Only applies when transactions is true.

owner_fundsboolean

If true, include owner_funds field in OfferCreate transactions. Only applies when transactions and expand are both true.

diffboolean

If true, include a diff of ledger state changes. This can significantly increase response size.

Response

200OK

HTTP 200 response for ledger. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

server_info

server_info operations.

server_info

POST
https://xrp.nownodes.io/

Retrieve information about the server's current state, performance metrics, and configuration. This method provides detailed statistics about RPC method usage, cache status, and ETL processes.

Body

application/json

Retrieve information about the server's current state, performance metrics, and configuration. This method provides detailed statistics about RPC method usage, cache status, and ETL processes.

JSON-RPC request payload.

methodstringserver_inforequired

The JSON-RPC method name

paramsArray<object>required

Ordered JSON-RPC method parameters.

Response

200OK

HTTP 200 response for server_info. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

Ledger

ledger

ledger operations.

ledger

POST
https://xrp.nownodes.io/

Returns information about a specific ledger version or the current working ledger. This method provides comprehensive details about the state of the ledger at a particular point in time.

Body

application/json

Returns information about a specific ledger version or the current working ledger. This method provides comprehensive details about the state of the ledger at a particular point in time.

JSON-RPC request payload.

methodstringledgerrequired

The JSON-RPC method name

paramsArray<object>required

Ordered JSON-RPC method parameters.

Show child attributes
ledger_hashstring

(Optional) A 20-byte hex string identifying a specific ledger version to use for the request.

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use for the request.

  • "validated": The most recent validated ledger (recommended for production use)
  • "closed": The most recent closed ledger
  • "current": The current working ledger (in-progress, subject to change)
accountsboolean

If true, include a list of all accounts in the ledger. This can generate a very large response and should be used with caution.

fullboolean

If true, include the entire ledger contents including all transactions and state data. This generates an extremely large response and is rarely needed.

transactionsboolean

If true, include a list of transaction IDs in the ledger. If expand is also true, include full transaction details instead of just IDs.

expandboolean

If true, expand transactions and other ledger objects to include full JSON content instead of just hashes or IDs.

owner_fundsboolean

If true, include an owner_funds field in Offer objects (if present). This field indicates how much the offer creator can afford to pay.

binaryboolean

If true, return ledger data as hex strings instead of JSON. This can be more efficient for some applications.

queueboolean

If true, include information about the current transaction queue. Only applicable when querying the current ledger.

Response

200OK

HTTP 200 response for ledger. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

ledger_closed

ledger_closed operations.

ledger_closed

POST
https://xrp.nownodes.io/

Returns the most recently closed ledger index and hash. This method provides a quick way to get the latest validated ledger information without retrieving the full ledger contents.

Body

application/json

Returns the most recently closed ledger index and hash. This method provides a quick way to get the latest validated ledger information without retrieving the full ledger contents.

JSON-RPC request payload.

methodstringledger_closedrequired

The JSON-RPC method name

paramsArray<object>required

Ordered JSON-RPC method parameters.

Response

200OK

HTTP 200 response for ledger_closed. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

ledger_current

ledger_current operations.

ledger_current

POST
https://xrp.nownodes.io/

Returns the current working ledger index that is in the process of being built. This ledger is still open and accepting transactions, and has not yet been closed or validated. The contents of this ledger are subject to change until it is closed and validated.

Body

application/json

Returns the current working ledger index that is in the process of being built. This ledger is still open and accepting transactions, and has not yet been closed or validated. The contents of this ledger are subject to change until it is closed and validated.

JSON-RPC request payload.

methodstringledger_currentrequired

The JSON-RPC method name

paramsArray<object>required

Ordered JSON-RPC method parameters.

Response

200OK

HTTP 200 response for ledger_current. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

ledger_data

ledger_data operations.

ledger_data

POST
https://xrp.nownodes.io/

Returns the raw contents of a specified ledger, including all state data (accounts, trust lines, offers, etc.). This method provides low-level access to the ledger's state tree and is useful for deep analysis, data export, or building custom indexers.

Body

application/json

Returns the raw contents of a specified ledger, including all state data (accounts, trust lines, offers, etc.). This method provides low-level access to the ledger's state tree and is useful for deep analysis, data export, or building custom indexers.

JSON-RPC request payload.

methodstringledger_datarequired

The JSON-RPC method name

paramsArray<object>required

Ordered JSON-RPC method parameters.

Show child attributes
ledger_hashstring

A 20-byte hex string identifying a specific ledger version to use for the request. Either ledger_hash or ledger_index must be specified.

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use for the request.

  • "validated": The most recent validated ledger
  • "closed": The most recent closed ledger
  • "current": The current working ledger
binaryboolean

If true, return ledger objects as hex strings instead of JSON. This is more efficient for processing and storage but requires decoding.

limitinteger

(Optional) Limit the number of ledger objects to retrieve. The server is not required to honor this value.

markerstring

(Optional) Value from a previous paginated response. Resume retrieving data where that response left off.

Response

200OK

HTTP 200 response for ledger_data. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

EVM

eth_accounts

eth_accounts operations.

Ethereum method - eth_accounts

POST
https://xrp.nownodes.io/

Returns an array of addresses controlled by the client.

Body

application/json

Returns an array of addresses controlled by the client.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC version identifier

methodstringeth_accountsrequired

Name of the JSON-RPC method

paramsarrayrequired

No parameters are required for this method. This must be an empty array.

idintegerrequired

Unique identifier for the JSON-RPC request

Response

200OK

HTTP 200 response for eth_accounts. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_blockNumber

eth_blockNumber operations.

Ethereum method - eth_blockNumber

POST
https://xrp.nownodes.io/

Returns the number of the latest block on the chain in hexadecimal format.

Body

application/json

Returns the number of the latest block on the chain in hexadecimal format.

JSON-RPC request payload.

jsonrpcstringrequired

The JSON-RPC protocol version

methodstringeth_blockNumberrequired

Name of the method being called

paramsarrayrequired

This method does not take parameters; always send an empty array.

idintegerrequired

A unique ID for the request

Response

200OK

HTTP 200 response for eth_blockNumber. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_call

eth_call operations.

Ethereum method - eth_call

POST
https://xrp.nownodes.io/

Executes a call to a contract or address and returns the result without broadcasting a transaction.

Body

application/json

Executes a call to a contract or address and returns the result without broadcasting a transaction.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC protocol version.

methodstringeth_callrequired

JSON-RPC method name.

paramsArray<object | string>required

The first object specifies the call transaction object. The second (optional) parameter specifies the block context.

Show child attributes

Single positional parameter entry.

One of
fromstring

Address the call is sent from (optional)

tostringrequired

Target address for the call (required)

gasstring

Gas provided for the call, as hex

gasPricestring

Gas price in wei, as hex

valuestring

Amount of ETH sent, as hex (optional)

datastring

Compiled contract method call data

(Optional) Integer block number, or the string "latest", "earliest", or "pending".

string
idintegerrequired

Client request identifier echoed by the server.

Response

200OK

HTTP 200 response for eth_call. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_chainId

eth_chainId operations.

Ethereum method - eth_chainId

POST
https://xrp.nownodes.io/

Returns the hexadecimal string of the current chain ID.

Body

application/json

Returns the hexadecimal string of the current chain ID.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC protocol version

methodstringeth_chainIdrequired

Name of the method to call

paramsarrayrequired

This method does not require parameters. Use an empty array.

idintegerrequired

Unique identifier for the request

Response

200OK

HTTP 200 response for eth_chainId. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_estimateGas

eth_estimateGas operations.

Estimate Gas for Transaction

POST
https://xrp.nownodes.io/

Simulates a transaction and returns an estimate of how much gas would be used.

Body

application/json

Simulates a transaction and returns an estimate of how much gas would be used.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC protocol version

methodstringeth_estimateGasrequired

The method name

paramsArray<object | string>required

The transaction call object and an optional block tag.

Show child attributes

Single positional parameter entry.

One of
fromstring

Address the transaction is sent from (optional)

tostringrequired

Destination address of the call

gasstring

Gas limit provided for execution (optional)

gasPricestring

Gas price in wei (optional)

valuestring

Amount of ETH to send, in hexadecimal wei (optional)

datastring

The compiled input data for the transaction (optional)

Optional block tag (e.g., "latest", "earliest", or a block number)

string
idintegerrequired

Request identifier

Response

200OK

HTTP 200 response for eth_estimateGas. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_feeHistory

eth_feeHistory operations.

eth_feeHistory

POST
https://xrp.nownodes.io/

Returns fee market information for a range of blocks. This is typically used by wallets and other tools to estimate appropriate gas prices.

Body

application/json

Returns fee market information for a range of blocks. This is typically used by wallets and other tools to estimate appropriate gas prices.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC protocol version.

methodstringeth_feeHistoryrequired

JSON-RPC method name.

paramsArray<string | integer | Array<number>>required

Parameters:

  1. blockCount — number of blocks in the requested range.
  2. newestBlock — highest block number in the requested range (can be "latest").
  3. rewardPercentiles — list of percentile values to sample priority fees from each block (optional).
Show child attributes

Single positional parameter entry.

Any of

Any Of[0] value.

string

Any Of[1] value.

integer
Array<number>
idintegerrequired

Client request identifier echoed by the server.

Response

200OK

HTTP 200 response for eth_feeHistory. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_gasPrice

eth_gasPrice operations.

Get Suggested Gas Price

POST
https://xrp.nownodes.io/

Returns the current gas price in wei as a hexadecimal string. This value is a node estimate based on recent blocks and mempool activity.

Body

application/json

Returns the current gas price in wei as a hexadecimal string. This value is a node estimate based on recent blocks and mempool activity.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC version

methodstringeth_gasPricerequired

JSON-RPC method name

paramsarrayrequired

This method takes an empty array.

idintegerrequired

Request identifier

Response

200OK

HTTP 200 response for eth_gasPrice. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_getBalance

eth_getBalance operations.

Get ETH Balance of an Address

POST
https://xrp.nownodes.io/

Retrieves the balance (in wei) of a given Ethereum address. You can specify the block parameter to get the balance at a specific block.

Body

application/json

Retrieves the balance (in wei) of a given Ethereum address. You can specify the block parameter to get the balance at a specific block.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC version

methodstringeth_getBalancerequired

JSON-RPC method name

paramsArray<string>required

Array with 2 parameters:

  1. Address (20-byte hex string with '0x' prefix)
  2. Block tag (e.g., 'latest', 'earliest', 'pending', or block number in hex)
idintegerrequired

Request ID

Response

200OK

HTTP 200 response for eth_getBalance. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_getBlockByHash

eth_getBlockByHash operations.

Get Block by Hash

POST
https://xrp.nownodes.io/

Returns the block information for the specified block hash. The second parameter indicates whether to return full transaction objects or just transaction hashes.

Body

application/json

Returns the block information for the specified block hash. The second parameter indicates whether to return full transaction objects or just transaction hashes.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC version

methodstringeth_getBlockByHashrequired

JSON-RPC method name

paramsArray<string>required

Array of parameters:

  1. Block hash (string)
  2. Boolean flag — if true, return full transactions; if false, only hashes.
idintegerrequired

Request ID

Response

200OK

HTTP 200 response for eth_getBlockByHash. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_getBlockByNumber

eth_getBlockByNumber operations.

Get Block by Number

POST
https://xrp.nownodes.io/

Returns the block information for the specified block number. The second parameter indicates whether to return full transaction objects or just transaction hashes.

Body

application/json

Returns the block information for the specified block number. The second parameter indicates whether to return full transaction objects or just transaction hashes.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC version

methodstringeth_getBlockByNumberrequired

JSON-RPC method name

paramsArray<string>required

Array of parameters:

  1. Block number (hex string, e.g., "0x1b4") or special tags ("latest", "earliest", "pending")
  2. Boolean flag — if true, return full transactions; if false, only hashes.
idintegerrequired

Request ID

Response

200OK

HTTP 200 response for eth_getBlockByNumber. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_getBlockTransactionCountByHash

eth_getBlockTransactionCountByHash operations.

Get Transaction Count by Block Hash

POST
https://xrp.nownodes.io/

Returns the number of transactions contained in the block with the given hash.

Body

application/json

Returns the number of transactions contained in the block with the given hash.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC version

methodstringeth_getBlockTransactionCountByHashrequired

JSON-RPC method name

paramsArray<string>required

Array containing a single parameter:

  • Block hash as a hex string (32 bytes with 0x prefix)
idintegerrequired

Request ID

Response

200OK

HTTP 200 response for eth_getBlockTransactionCountByHash. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_getBlockTransactionCountByNumber

eth_getBlockTransactionCountByNumber operations.

Get Transaction Count by Block Number

POST
https://xrp.nownodes.io/

Returns the number of transactions contained in the block with the given block number.

Body

application/json

Returns the number of transactions contained in the block with the given block number.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC version

methodstringeth_getBlockTransactionCountByNumberrequired

JSON-RPC method name

paramsArray<string>required

Array containing a single parameter:

  • Block number as a hex string (e.g. "0x10d4f" for block 69007) or
  • predefined block tags such as "latest", "earliest", or "pending"
idintegerrequired

Request ID

Response

200OK

HTTP 200 response for eth_getBlockTransactionCountByNumber. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_getCode

eth_getCode operations.

Get Contract Bytecode at Address

POST
https://xrp.nownodes.io/

Returns the contract code stored at a given address. If the address is an externally owned account (EOA), it returns "0x".

Body

application/json

Returns the contract code stored at a given address. If the address is an externally owned account (EOA), it returns "0x".

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC version.

methodstringeth_getCoderequired

JSON-RPC method name.

paramsArray<string>required

Parameters array with two elements:

  1. The address to get the code for (hex string, 0x-prefixed).
  2. The block number or block tag (e.g., "latest", "earliest", "pending").
idintegerrequired

Request identifier.

Response

200OK

HTTP 200 response for eth_getCode. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_getFilterChanges

eth_getFilterChanges operations.

Get Filter Changes

POST
https://xrp.nownodes.io/

Returns an array of logs that occurred since the last poll for the specified filter ID. The filter must have been previously created with eth_newFilter or eth_newBlockFilter or eth_newPendingTransactionFilter.

Body

application/json

Returns an array of logs that occurred since the last poll for the specified filter ID. The filter must have been previously created with eth_newFilter or eth_newBlockFilter or eth_newPendingTransactionFilter.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC version.

methodstringeth_getFilterChangesrequired

JSON-RPC method name.

paramsArray<string>required

Parameters array with a single element:

  1. The filter ID (hex string).
idintegerrequired

Request identifier.

Response

200OK

HTTP 200 response for eth_getFilterChanges. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_getFilterLogs

eth_getFilterLogs operations.

Get Filter Logs

POST
https://xrp.nownodes.io/

Returns all logs matching a filter with the specified filter ID. The filter must have been previously created with eth_newFilter.

Body

application/json

Returns all logs matching a filter with the specified filter ID. The filter must have been previously created with eth_newFilter.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC version.

methodstringeth_getFilterLogsrequired

JSON-RPC method name.

paramsArray<string>required

Parameters array with one element:

  1. The filter ID (hex string).
idintegerrequired

Request identifier.

Response

200OK

HTTP 200 response for eth_getFilterLogs. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_getLogs

eth_getLogs operations.

Get Logs

POST
https://xrp.nownodes.io/

Returns an array of logs that match the filter criteria specified in the params. The filter object supports filtering by block range, addresses, and topics.

Body

application/json

Returns an array of logs that match the filter criteria specified in the params. The filter object supports filtering by block range, addresses, and topics.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC version.

methodstringeth_getLogsrequired

JSON-RPC method name.

paramsArray<object>required

Parameters array with one element: the filter object.

Show child attributes
fromBlockstring

Starting block number (hex string) or "earliest", "latest", "pending".

toBlockstring

Ending block number (hex string) or "earliest", "latest", "pending".

addressstring | Array<string>

Contract address or list of addresses from which logs should originate.

topicsarray

Array of topic filters. Each topic can be a string, null, or an array of strings for OR filtering.

idintegerrequired

Request identifier.

Response

200OK

HTTP 200 response for eth_getLogs. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_getStorageAt

eth_getStorageAt operations.

Get Storage At

POST
https://xrp.nownodes.io/

Returns the value stored at position in the storage of the contract at address at the given blockNumber.

Body

application/json

Returns the value stored at position in the storage of the contract at address at the given blockNumber.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC version.

methodstringeth_getStorageAtrequired

JSON-RPC method name.

paramsArray<string>required

Parameters array:

  1. address: string - Contract address to query storage from.
  2. position: string - Storage slot position (hex string).
  3. block number: string - Block number or keywords ("latest", "earliest", "pending").
idintegerrequired

Request identifier.

Response

200OK

HTTP 200 response for eth_getStorageAt. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_getTransactionByBlockHashAndIndex

eth_getTransactionByBlockHashAndIndex operations.

Get Transaction by Block Hash and Index

POST
https://xrp.nownodes.io/

Retrieves the transaction from a block using the block's hash and the transaction's index position within the block.

Body

application/json

Retrieves the transaction from a block using the block's hash and the transaction's index position within the block.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC protocol version.

methodstringeth_getTransactionByBlockHashAndIndexrequired

JSON-RPC method name.

paramsArray<string>required

Parameters:

  1. blockHash (string): The 32-byte hash of the block.
  2. transactionIndex (string): The transaction index (hex).
idintegerrequired

Client request identifier echoed by the server.

Response

200OK

HTTP 200 response for eth_getTransactionByBlockHashAndIndex. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_getTransactionByBlockNumberAndIndex

eth_getTransactionByBlockNumberAndIndex operations.

Get Transaction by Block Number and Index

POST
https://xrp.nownodes.io/

Returns the information about a transaction using the block number and the transaction index within the block.

Body

application/json

Returns the information about a transaction using the block number and the transaction index within the block.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC protocol version.

methodstringeth_getTransactionByBlockNumberAndIndexrequired

JSON-RPC method name.

paramsArray<string>required

Parameters:

  1. Block number in hex format (e.g., "0x5daf3b")
  2. Transaction index in the block (e.g., "0x0")
idintegerrequired

Client request identifier echoed by the server.

Response

200OK

HTTP 200 response for eth_getTransactionByBlockNumberAndIndex. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_getTransactionByHash

eth_getTransactionByHash operations.

Get transaction by hash

POST
https://xrp.nownodes.io/

Calls the eth_getTransactionByHash JSON-RPC method.

Body

application/json

Calls the eth_getTransactionByHash JSON-RPC method.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC protocol version.

methodstringeth_getTransactionByHashrequired

JSON-RPC method name.

paramsArray<string>required

Array containing a single transaction hash

idintegerrequired

Client request identifier echoed by the server.

Response

200OK

HTTP 200 response for eth_getTransactionByHash. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_getTransactionCount

eth_getTransactionCount operations.

Get transaction count (nonce) for address

POST
https://xrp.nownodes.io/

Calls the eth_getTransactionCount JSON-RPC method.

Body

application/json

Calls the eth_getTransactionCount JSON-RPC method.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC protocol version.

methodstringeth_getTransactionCountrequired

JSON-RPC method name.

paramsArray<string>required
  • address: The address to check for transaction count.
  • block: The block parameter (e.g., "latest", "earliest", "pending").
idintegerrequired

Client request identifier echoed by the server.

Response

200OK

HTTP 200 response for eth_getTransactionCount. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_getTransactionReceipt

eth_getTransactionReceipt operations.

Get transaction receipt by hash

POST
https://xrp.nownodes.io/

Calls the eth_getTransactionReceipt JSON-RPC method.

Body

application/json

Calls the eth_getTransactionReceipt JSON-RPC method.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC protocol version.

methodstringeth_getTransactionReceiptrequired

JSON-RPC method name.

paramsArray<string>required

Ordered JSON-RPC method parameters.

idintegerrequired

Client request identifier echoed by the server.

Response

200OK

HTTP 200 response for eth_getTransactionReceipt. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_getUncleByBlockHashAndIndex

eth_getUncleByBlockHashAndIndex operations.

Get uncle block by block hash and index

POST
https://xrp.nownodes.io/

Calls the eth_getUncleByBlockHashAndIndex JSON-RPC method.

Body

application/json

Calls the eth_getUncleByBlockHashAndIndex JSON-RPC method.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC protocol version.

methodstringeth_getUncleByBlockHashAndIndexrequired

JSON-RPC method name.

paramsArray<string>required
  • blockHash: 32-byte block hash
  • index: the uncle index as hex (e.g., "0x0" for the first uncle)
idintegerrequired

Client request identifier echoed by the server.

Response

200OK

HTTP 200 response for eth_getUncleByBlockHashAndIndex. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_getUncleByBlockNumberAndIndex

eth_getUncleByBlockNumberAndIndex operations.

Get uncle block by block number and index

POST
https://xrp.nownodes.io/

Calls the eth_getUncleByBlockNumberAndIndex JSON-RPC method.

Body

application/json

Calls the eth_getUncleByBlockNumberAndIndex JSON-RPC method.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC protocol version.

methodstringeth_getUncleByBlockNumberAndIndexrequired

JSON-RPC method name.

paramsArray<string>required
  • blockNumber: The block number as hex string (e.g., "0x10fb78"), or "latest", "earliest", "pending".
  • index: The uncle index as hex (e.g., "0x0" for the first uncle).
idintegerrequired

Client request identifier echoed by the server.

Response

200OK

HTTP 200 response for eth_getUncleByBlockNumberAndIndex. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_getUncleCountByBlockHash

eth_getUncleCountByBlockHash operations.

Get the number of uncle blocks by block hash

POST
https://xrp.nownodes.io/

Calls the eth_getUncleCountByBlockHash JSON-RPC method.

Body

application/json

Calls the eth_getUncleCountByBlockHash JSON-RPC method.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC protocol version.

methodstringeth_getUncleCountByBlockHashrequired

JSON-RPC method name.

paramsArray<string>required

An array containing the block hash.

idintegerrequired

Client request identifier echoed by the server.

Response

200OK

HTTP 200 response for eth_getUncleCountByBlockHash. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_getUncleCountByBlockNumber

eth_getUncleCountByBlockNumber operations.

Get the number of uncle blocks by block number

POST
https://xrp.nownodes.io/

Calls the eth_getUncleCountByBlockNumber JSON-RPC method.

Body

application/json

Calls the eth_getUncleCountByBlockNumber JSON-RPC method.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC protocol version.

methodstringeth_getUncleCountByBlockNumberrequired

JSON-RPC method name.

paramsArray<string>required

An array containing the block number as a hex string.

idintegerrequired

Client request identifier echoed by the server.

Response

200OK

HTTP 200 response for eth_getUncleCountByBlockNumber. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_maxPriorityFeePerGas

eth_maxPriorityFeePerGas operations.

Get recommended maxPriorityFeePerGas value

POST
https://xrp.nownodes.io/

Calls the eth_maxPriorityFeePerGas JSON-RPC method.

Body

application/json

Calls the eth_maxPriorityFeePerGas JSON-RPC method.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC protocol version.

methodstringeth_maxPriorityFeePerGasrequired

JSON-RPC method name.

paramsarrayrequired

No parameters are required.

idintegerrequired

Client request identifier echoed by the server.

Response

200OK

HTTP 200 response for eth_maxPriorityFeePerGas. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_newBlockFilter

eth_newBlockFilter operations.

Create a new block filter

POST
https://xrp.nownodes.io/

Calls the eth_newBlockFilter JSON-RPC method.

Body

application/json

Calls the eth_newBlockFilter JSON-RPC method.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC protocol version.

methodstringeth_newBlockFilterrequired

JSON-RPC method name.

paramsArray<any>required

This method does not require any parameters.

idintegerrequired

Client request identifier echoed by the server.

Response

200OK

HTTP 200 response for eth_newBlockFilter. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_newFilter

eth_newFilter operations.

Create a new log filter

POST
https://xrp.nownodes.io/

Calls the eth_newFilter JSON-RPC method.

Body

application/json

Calls the eth_newFilter JSON-RPC method.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC protocol version.

methodstringeth_newFilterrequired

JSON-RPC method name.

paramsArray<object>required

Array with one object describing the filter options.

Show child attributes
fromBlockstring

Starting block number or tag ("latest", "earliest", "pending").

toBlockstring

Ending block number or tag.

addressstring | Array<string> | null

Address value.

topicsArray<string | Array<string>> | null

Array of topic filters. Topics are 32-byte hashes identifying events.

Show child attributes

Single positional parameter entry.

One of

One Of[0] value.

string
Array<string>
idintegerrequired

Client request identifier echoed by the server.

Response

200OK

HTTP 200 response for eth_newFilter. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_newPendingTransactionFilter

eth_newPendingTransactionFilter operations.

Create a filter for pending transactions

POST
https://xrp.nownodes.io/

Calls the eth_newPendingTransactionFilter JSON-RPC method.

Body

application/json

Calls the eth_newPendingTransactionFilter JSON-RPC method.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC version

methodstringeth_newPendingTransactionFilterrequired

JSON-RPC method name

paramsArray<any>required

No parameters required for this method

idintegerrequired

Request identifier

Response

200OK

HTTP 200 response for eth_newPendingTransactionFilter. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_sendRawTransaction

eth_sendRawTransaction operations.

Send a raw signed transaction

POST
https://xrp.nownodes.io/

Calls the eth_sendRawTransaction JSON-RPC method.

Body

application/json

Calls the eth_sendRawTransaction JSON-RPC method.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC version

methodstringeth_sendRawTransactionrequired

Method name

paramsArray<string>required

Array containing a single signed transaction data (hex string)

idintegerrequired

Request ID

Response

200OK

HTTP 200 response for eth_sendRawTransaction. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_sendTransaction

eth_sendTransaction operations.

Send a transaction using node-managed account

POST
https://xrp.nownodes.io/

Calls the eth_sendTransaction JSON-RPC method.

Body

application/json

Calls the eth_sendTransaction JSON-RPC method.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC protocol version.

methodstringeth_sendTransactionrequired

JSON-RPC method name.

paramsArray<object>required

Transaction object

Show child attributes
fromstring

Address the transaction is sent from

tostring

Address the transaction is directed to

gasstring

Gas provided for the transaction (hex)

gasPricestring

Gas price in wei (hex)

valuestring

Value sent with the transaction in wei (hex)

datastring

(Optional) Data for contract interaction

idintegerrequired

Client request identifier echoed by the server.

Response

200OK

HTTP 200 response for eth_sendTransaction. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_sign

eth_sign operations.

Sign arbitrary data using eth_sign

POST
https://xrp.nownodes.io/

Calls the eth_sign JSON-RPC method.

Body

application/json

Calls the eth_sign JSON-RPC method.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC protocol version.

methodstringeth_signrequired

JSON-RPC method name.

paramsArray<string>required

[address, data]

  • address: The account that will sign the data
  • data: The data to be signed (must be a hex string)
idintegerrequired

Client request identifier echoed by the server.

Response

200OK

HTTP 200 response for eth_sign. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_signTransaction

eth_signTransaction operations.

eth_signTransaction

POST
https://xrp.nownodes.io/

Signs a transaction locally with the private key of the specified account.

Body

application/json

Signs a transaction locally with the private key of the specified account.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC protocol version.

methodstringeth_signTransactionrequired

JSON-RPC method name.

paramsArray<object>required

Array with a single object representing the transaction to sign.

Show child attributes
fromstringrequired

The address of the account that will sign the transaction.

tostring

The destination address of the transaction.

gasstring

Gas limit for the transaction, as a hex string.

gasPricestring

Gas price in wei, as a hex string.

valuestring

Amount of wei to send, as a hex string.

datastring

Data payload of the transaction, hex encoded.

noncestring

Nonce of the transaction, as a hex string.

chainIdinteger

The chain ID to protect against replay attacks.

idintegerrequired

Client request identifier echoed by the server.

Response

200OK

HTTP 200 response for eth_signTransaction. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_syncing

eth_syncing operations.

Check if node is syncing

POST
https://xrp.nownodes.io/

Calls the eth_syncing JSON-RPC method.

Body

application/json

Calls the eth_syncing JSON-RPC method.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC protocol version.

methodstringeth_syncingrequired

JSON-RPC method name.

paramsarrayrequired

Must be an empty array.

idintegerrequired

Client request identifier echoed by the server.

Response

200OK

HTTP 200 response for eth_syncing. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

eth_uninstallFilter

eth_uninstallFilter operations.

Uninstall an existing filter

POST
https://xrp.nownodes.io/

Calls the eth_uninstallFilter JSON-RPC method.

Body

application/json

Calls the eth_uninstallFilter JSON-RPC method.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC protocol version.

methodstringeth_uninstallFilterrequired

JSON-RPC method name.

paramsArray<string>required

Ordered JSON-RPC method parameters.

idintegerrequired

Client request identifier echoed by the server.

Response

200OK

HTTP 200 response for eth_uninstallFilter. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

net_listening

net_listening operations.

net_listening

POST
https://xrp.nownodes.io/

Checks if the client is listening for network connections.

Body

application/json

Checks if the client is listening for network connections.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC protocol version.

methodstringnet_listeningrequired

JSON-RPC method name.

paramsarrayrequired

This method takes no parameters.

idintegerrequired

Client request identifier echoed by the server.

Response

200OK

HTTP 200 response for net_listening. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

net_peerCount

net_peerCount operations.

net_peerCount

POST
https://xrp.nownodes.io/

Returns the number of peers currently connected to the client.

Body

application/json

Returns the number of peers currently connected to the client.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC protocol version.

methodstringnet_peerCountrequired

JSON-RPC method name.

paramsarrayrequired

This method takes no parameters.

idintegerrequired

Client request identifier echoed by the server.

Response

200OK

HTTP 200 response for net_peerCount. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

net_version

net_version operations.

net_version

POST
https://xrp.nownodes.io/

Returns the current network ID of the Ethereum client.

Body

application/json

Returns the current network ID of the Ethereum client.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC protocol version.

methodstringnet_versionrequired

JSON-RPC method name.

paramsarrayrequired

This method takes no parameters.

idintegerrequired

Client request identifier echoed by the server.

Response

200OK

HTTP 200 response for net_version. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

web3_clientVersion

web3_clientVersion operations.

web3_clientVersion

POST
https://xrp.nownodes.io/

Returns the current Ethereum client version.

Body

application/json

Returns the current Ethereum client version.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC protocol version.

methodstringweb3_clientVersionrequired

JSON-RPC method name.

paramsarrayrequired

This method takes no parameters.

idintegerrequired

Client request identifier echoed by the server.

Response

200OK

HTTP 200 response for web3_clientVersion. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

web3_sha3

web3_sha3 operations.

web3_sha3

POST
https://xrp.nownodes.io/

Computes the Keccak-256 (SHA-3) hash of the given hex-encoded data.

Body

application/json

Computes the Keccak-256 (SHA-3) hash of the given hex-encoded data.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC protocol version.

methodstringweb3_sha3required

JSON-RPC method name.

paramsArray<string>required

Array containing a single hex-encoded data string to hash.

idintegerrequired

Client request identifier echoed by the server.

Response

200OK

HTTP 200 response for web3_sha3. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.

Authorization

api-keyAuthapiKey in header

NOWNodes API key passed in the api-key header.

Node

General

General operations.

Generic JSON-RPC endpoint

POST
https://xrp.nownodes.io/

All XRP Ledger API methods are called through this endpoint using JSON-RPC

Body

application/json

All XRP Ledger API methods are called through this endpoint using JSON-RPC

JSON-RPC request payload.

One of
methodstringaccount_inforequired

Method name

paramsArray<object>required

JSON-RPC method parameters.

Show child attributes
accountstring

A unique identifier for the account, most commonly the account's address

strictboolean

If true, only accept a public key or XRP Ledger address

ledger_hashstring

A 20-byte hex string for the ledger version to use

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use, or a shortcut string

queueboolean

If true, and the request is for the current ledger, also returns queue status

signer_listsboolean

If true, and the request is for the current ledger, also returns any signer lists

methodstringaccount_linesrequired

Method name

paramsArray<object>required

JSON-RPC method parameters.

Show child attributes
accountstring

A unique identifier for the account, most commonly the account's address

ledger_hashstring

A 20-byte hex string for the ledger version to use

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use, or a shortcut string

peerstring

The account of the counterparty to limit results to

limitinteger

Limit the number of trust lines to retrieve

markerstring

Value from a previous paginated response. Resume retrieving data where that response left off

methodstringaccount_objectsrequired

Method name

paramsArray<object>required

JSON-RPC method parameters.

Show child attributes
accountstring

A unique identifier for the account, most commonly the account's address

ledger_hashstring

A 20-byte hex string for the ledger version to use

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use, or a shortcut string

typestringcheckdeposit_preauthescrowofferpayment_channelsigner_liststate

Filter results to a single type of ledger object

deletion_blockers_onlyboolean

If true, limit results to objects that can block account deletion

limitinteger

Limit the number of objects to retrieve

markerstring

Value from a previous paginated response. Resume retrieving data where that response left off

methodstringaccount_offersrequired

Method name

paramsArray<object>required

JSON-RPC method parameters.

Show child attributes
accountstring

A unique identifier for the account, most commonly the account's address

ledger_hashstring

A 20-byte hex string for the ledger version to use

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use, or a shortcut string

limitinteger

Limit the number of offers to retrieve

markerstring

Value from a previous paginated response. Resume retrieving data where that response left off

methodstringaccount_txrequired

Method name

paramsArray<object>required

JSON-RPC method parameters.

Show child attributes
accountstring

A unique identifier for the account, most commonly the account's address

ledger_index_mininteger

Use -1 to start at the earliest validated ledger available

ledger_index_maxinteger

Use -1 to start at the most recent validated ledger available

ledger_hashstring

A 20-byte hex string for the ledger version to use

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use, or a shortcut string

binaryboolean

If true, return transactions as hex strings instead of JSON

forwardboolean

If true, return results in ascending ledger order

limitinteger

Limit the number of transactions to retrieve

markerobject

Value from a previous paginated response. Resume retrieving data where that response left off

methodstringgateway_balancesrequired

Method name

paramsArray<object>required

JSON-RPC method parameters.

Show child attributes
accountstring

The account to get gateway balances for

ledger_hashstring

A 20-byte hex string for the ledger version to use

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use, or a shortcut string

hotwalletArray<string>

Array of hot wallet addresses to exclude from the balances

strictboolean

If true, only accept a public key or XRP Ledger address

methodstringledgerrequired

Method name

paramsArray<object>required

[...]
